Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510683 - mozilla-noscript-5.1.7 is available
Summary: mozilla-noscript-5.1.7 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla-noscript
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-08 00:39 UTC by Upstream Release Monitoring
Modified: 2017-12-09 04:56 UTC (History)
2 users (show)

Fixed In Version: mozilla-noscript-5.1.7-1.fc25
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-09 04:56:47 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2017-11-08 00:39:26 UTC
Latest upstream release: 5.1.5
Current version/release in rawhide: 5.1.4-1.fc28
URL: https://noscript.net/changelog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2018/

Comment 1 Upstream Release Monitoring 2017-11-18 12:32:42 UTC
Latest upstream release: 5.1.7
Current version/release in rawhide: 5.1.4-1.fc28
URL: https://noscript.net/changelog

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/2018/

Comment 2 Fedora Update System 2017-11-20 23:04:10 UTC
mozilla-noscript-5.1.7-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2370839d9

Comment 3 Fedora Update System 2017-11-22 05:23:04 UTC
mozilla-noscript-5.1.7-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a2370839d9

Comment 4 Jeff Makey 2017-11-28 03:10:46 UTC
After upgrading to mozilla-noscript-5.1.7-1.fc25 from mozilla-noscript-5.1.1-1.fc25, Firefox 56 requires removal (while Firefox is not running) of the ~/.cache/mozilla/firefox/*/startupCache directory before it will enable NoScript.  Even then, although NoScript's "About" page shows version 5.1.7 and NoScript seems to work normally, Firefox's about:addons Extensions page shows 5.1.1 as the version.

A fresh Firefox profile shows 5.1.7 as the version everywhere.

Comment 5 Dominik 'Rathann' Mierzejewski 2017-11-28 15:41:46 UTC
That's bug 1508827 and affects many if not all addons in Firefox. I got it with NoScript and HTTPS Everywhere on Firefox 56.

Comment 6 Jeff Makey 2017-11-29 02:35:01 UTC
Yes, bug 1508827 (and its workaround, including two Firefox restarts) seems to cover the problem I had.  Thanks.

Comment 7 Fedora Update System 2017-12-09 04:56:47 UTC
mozilla-noscript-5.1.7-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.